;******************************************************************************************
;'egrid-lite' editable grid control. By Stephen Rodriguez.
;******************************************************************************************

;                                 DEMONSTRATION PROGRAM 1.


;******************************************************************************************
;This demo program simply sets up a default egrid with resizable columns, no colours,
;no validation of user actions etc.
;
;******************************************************************************************

XIncludeFile "EsGRID-lite.pbi"
XIncludeFile "EsGRID-lite_residents.pbi"


;*****************************************FONT DATA****************************************
Enumeration
  #head1
  #head2
  #main
EndEnumeration
LoadFont(#main, "Arial", 30)
;SetGadgetFont(#PB_Default,FontID(#main))
;******************************************************************************************


;*************************************WINDOW + GADGET LIST*********************************
If OpenWindow(0,0,0,640,300,"egrid4 demo 1.",#PB_Window_SystemMenu|#PB_Window_MinimizeGadget|#PB_Window_MaximizeGadget|#PB_Window_Maximize|#PB_Window_ScreenCentered) And CreateGadgetList(WindowID(0))
  ;******************************************************************************************
  
  
  ;********************************************EGRID*****************************************
  ;Create an egrid with resizable columns.
  egrid_CreateGrid(1, WindowWidth(0)/4, WindowHeight(0)/8, WindowWidth(0)/2, WindowHeight(0)/2,42,0, #egrid_GridLines|#egrid_ResizeColumnsTrue|#egrid_MultiLineText, WindowID(0))
  ;******************************************************************************************
  egrid_SetHeaderHeight(1, 42)
  egrid_SetOption(1, #egrid_SelectionBorderWidth, 2)
  egrid_SetOption(1, #egrid_SelectionBorderColour, #Blue)


  
  ;********************************************TEXT GADGET***********************************
  
  ;***************************************ADD COLUMNS AND ROWS TO EGRID**********************************
  For b=0 To 49 ;50 columns. 
    egrid_AddColumn(1,b,"Col " + Str(b),100)
  Next
  egrid_AddRows(1,-1, 100)
  
  
  ;*****************************************EVENT LOOP***************************************
  Repeat
    EventID = WaitWindowEvent()
    
    Select EventID
      
      Case #PB_Event_Gadget
        Select EventGadget() 
        EndSelect
    EndSelect
  Until EventID = #PB_Event_CloseWindow
  
EndIf
  
End

; IDE Options = PureBasic 4.20 Beta 2 (Windows - x86)
; CursorPosition = 13
; FirstLine = 2
; Folding = -
; EnableThread